﻿*************************************************************************************
***Selbstversion für KINDL Adipositas-Modul
***KINDL_Modul_Adipositas_Kinder.

***Anmerkung:
*Höhere Werte spiegeln eine bessere gesundheitsbezogene Lebensqualität wieder.
*Item 1-12 werden zusammengefasst zu einer Skala 
(siehe Ravens-Sieberer et al. (2012). Quality of life after in-patient rehabilitation in children with obesity 
und Wille et al. (2008). The impact of overweight and obesity on health-related quality of life in childhood - results from an intervention study).
*Item 13-15 werden als Zusatzinformationen gehandhabt, aber nicht in einer Skala erfasst.

*********Umpolung der Rohwerte.
*Negative gepolte Items.
RECODE C_ADI_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_01. 
RECODE C_ADI_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_02. 
RECODE C_ADI_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_03. 
RECODE C_ADI_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_04. 
RECODE C_ADI_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_05. 
RECODE C_ADI_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_06. 
RECODE C_ADI_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_07. 
RECODE C_ADI_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_08. 
RECODE C_ADI_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_09. 
RECODE C_ADI_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_10. 
RECODE C_ADI_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_11. 
RECODE C_ADI_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_13. 
RECODE C_ADI_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_14. 
RECODE C_ADI_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_15. 

*Positive gepolte Items.
RECODE C_ADI_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO C_XDI_12. 

VARIABLE LABELS
C_XDI_01 '... fühlte ich mich dick und unbeweglich.'
C_XDI_02 '... war ich schnell außer Atem und mir ging schnell die Puste aus.'
C_XDI_03 '... war ich wegen seines Gewichts traurig und niedergeschlagen.'
C_XDI_04 '... war ich genervt von den vielen Versuchen dünner zu werden.'
C_XDI_05 '... habe ich mich wegen meines Gewichts geschämt.'
C_XDI_06 '... war mein Kind  wegen seines Gewichts mit sich selbst unzufrieden.'
C_XDI_07 '... nörgelte meine Familie wegen meines Gewichts an mir herum.'
C_XDI_08 '... musste ich zu Hause beim Essen auf mein Gewicht achten.'
C_XDI_09 '... wurde ich wegen seines Gewichts von anderen geärgert.'
C_XDI_10 '... wurde ich wegen seines Gewichts ausgeschlossen, wenn andere etwas zusammen machten.'
C_XDI_11 '... war ich durch Gedanken ans Essen vom Unterricht abgelenkt.'
C_XDI_12 '... konnte ich trotz meines Gewichts beim Sportunterricht gut mitmachen.'
C_XDI_13 'Wie häufig hast Du in der letzten Woche Beschwerden wegen deines Übergewichts (Adipositas) gehabt?'
C_XDI_14 'Wie stark waren deine Beschwerden wegen des Übergewichts in der letzten Woche?'
C_XDI_15 'Wie sehr hat dich dein Übergewicht in der letzten Woche gestört?'.
EXECUTE.

VALUE LABELS
C_XDI_01 C_XDI_02 C_XDI_03 C_XDI_04 C_XDI_05 C_XDI_06 C_XDI_07 C_XDI_08 C_XDI_09 C_XDI_10 C_XDI_11 C_XDI_13
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
C_XDI_14
1 'sehr'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
C_XDI_15
1 'sehr'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
C_XDI_12
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.

****Gesamtskala.
*Berechnung Summenscore.
COMPUTE adi_mean = mean.8(C_XDI_01, C_XDI_02, C_XDI_03, C_XDI_04, C_XDI_05, C_XDI_06, C_XDI_07, C_XDI_08, C_XDI_09, C_XDI_10, C_XDI_11, C_XDI_12).
EXECUTE.

COMPUTE adi_sum = adi_mean*12.
EXECUTE.

*Berechnung auf 100 trandsformierte Skala.
COMPUTE adi_100 = ((adi_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
adi_mean 'KINDL - Adipositas-Modul Mittelwert'
adi_sum 'KINDL - Adipositas-Modul Summe'
adi_100 'KINDL - Adipositas-Modul 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

